import argparse
from config import config

argparser = argparse.ArgumentParser(
    prog = config.app_name, 
    description = config.app_description,
    epilog = f"See {config.app_src_url} for more info.")

subparsers = argparser.add_subparsers(dest='command', required=True)

subparsers.add_parser('init', help = 'Initialize new site.')
subparsers.add_parser('build', help = "Build the site from existing content.")
new_content = subparsers.add_parser('create', aliases = ['new'], help = "Create a new content file.")
new_content.add_argument('filename', type=str, help = "Name of the content file to create.")
edit_content = subparsers.add_parser('edit', help = "Edit a content file.")
edit_content.add_argument('filename', type=str, help = "Name of the content file to edit.")
